overview

reference

elements index

# canvas-element

| namespace: | version: | branch type: | activable type: | sender type: | receiver type: | root type:
| core3d | 1.0.0. | true | true | true | true | false

The Canvas-Element contains the information of a 3D canvas. At this time, only a AWT canvas is supported, because a the newest version of Aviatrix3D API caused problems. It must be a child of a render-element.

## default configuration:

### value: | ### type: | ### array: | ### required:
canvas:full-screen | bool | no | no
Default value:'false'
canvas:title | string | no | no
Default value:'Causetree+3D+Application'
canvas:dimension | int | yes | no
Default value:'0, 0, 1920, 1050'
navigation:navigation-type | string | no | no
Default value:'fps'
navigation:active | bool | no | no
Default value:'true'
navigation:key-config-file | uri | no | no
Default value:'@system/navigation/default-key-config.properties'
navigation:factors | float | yes | no
Default value:'1.0, 1.0, 1.0'
navigation:auto-connect-to-branch3d | bool | no | no
Default value:'true'

## Commands:
canvas-command
mouse-status-command
view-environment-event
matrix-event
## Events:
dimension-event
external-navigation-event
mouse-status-event
set-pick-ray-command
matrix-command
mouse-event
pick-command
key-event